Get Points For All UsersDeprecated
Get points for all users based on mangoes with gamification enabled
Authorization
bearer In: header
Query Parameters
Number of items per page of the results
1 <= valuePage number of the results
1 <= valueComma-separated list of mango unique identifiers
Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/gamification/points" \ -H "x-whitelabel-host: string"[
{
"createdAt": "2024-11-04T13:05:43.799Z",
"updatedAt": "2024-11-04T13:05:43.799Z",
"_id": "659bda0d1f30911c18766b31",
"creator": "6149b1e5612c4e5fd96041d3",
"fan": "62ea773dfc87495de3894e73",
"description": "This is a description for the point",
"extraData": {
"date": "2024-01-08T11:18:37.217Z"
},
"score": 16,
"type": "custom",
"date": "2024-01-07T11:18:37.146Z"
}
]{
"code": 400,
"type": "Bad request",
"statusMessage": "BAD_REQUEST",
"message": "Invalid request",
"success": false
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"success": false
}Get Feed Posts GET
Get all the posts for a creator or subscriber. - If accessed on behalf of a subscriber, posts will be filtered based on active subscription for the mangoes in the post. - If accessed on behalf of a creator, posts will be filtered based on the creator. - If accessed without any parameters, all the posts will be returned for the creator.
Get Points Ledger For User GET
Get points ledger for a user based on their activity. Points ledger shows all the points assigned to the user for each category of points. - There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate :::info Custom Point Types There could be custom point types generated by other platforms using TagMango API. All of them will be returned under the response. ::: :::info Pagination This endpoint supports pagination. You can pass the page and limit query parameters to get the points for the user. But at max 200 points will be returned per request. :::